# dozzle - https://github.com/amir20/dozzle
services:
    dozzle:
        container_name: dozzle
        image: ghcr.io/amir20/dozzle:latest
        volumes:
            - /var/run/docker.sock:/var/run/docker.sock:ro
        ports:
            - ${DOZZEL_PORT}:8080
        restart: unless-stopped
        labels:
            # Nginx Proxy Manager Automation
            - "npm.proxy.domains=dozzle"
            - "npm.proxy.port=${DOZZEL_PORT}"
            - "npm.proxy.scheme=http"
            # Pi-hole Automation (Point to Docker Host/Proxy IP)
            - "pihole.custom-record=[[\"dozzle\", \"${DOCKER_HOST_IP}\"]]"